List Models
- MCP tool
- list_generation_modelsList Generation Models
- Rate limit
- Default
- Scope
- ai:generate
Returns the output types and models that Generate File accepts.
Example
bash
curl 'https://api.youvico.com/api/ai/models' \
-H 'Authorization: Bearer YOUR_API_KEY'json
{
"data": [
{
"outputType": "DOCUMENT",
"models": [
{
"id": "pdf",
"name": "PDF",
"provider": null
},
{
"id": "markdown",
"name": "Markdown",
"provider": null
}
]
},
{
"outputType": "IMAGE",
"models": [
{
"id": "gpt-image-2.5-flare",
"name": "GPT Image 2.5",
"provider": "OPENAI"
},
{
"id": "gpt-image-2",
"name": "GPT Image 2",
"provider": "OPENAI"
},
{
"id": "gemini-3-pro-image",
"name": "Nano Banana Pro",
"provider": "GOOGLE"
},
{
"id": "gemini-3.1-flash-image",
"name": "Nano Banana 2",
"provider": "GOOGLE"
},
{
"id": "gemini-3.1-flash-lite-image",
"name": "Nano Banana 2 Lite",
"provider": "GOOGLE"
}
]
},
{
"outputType": "VIDEO",
"models": [
{
"id": "seedance-2.5",
"name": "Seedance 2.5",
"provider": "BYTEDANCE",
"configs": {
"generateAudio": { "type": "boolean" },
"resolution": { "type": "enum", "options": ["480p", "720p", "1080p"] },
"durationSeconds": { "type": "enum", "options": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30] },
"aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
}
},
{
"id": "seedance-2.0",
"name": "Seedance 2.0",
"provider": "BYTEDANCE",
"configs": {
"generateAudio": { "type": "boolean" },
"resolution": { "type": "enum", "options": ["480p", "720p", "1080p", "4k"] },
"durationSeconds": { "type": "enum", "options": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
"aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
}
},
{
"id": "seedance-2.0-fast",
"name": "Seedance 2.0 Fast",
"provider": "BYTEDANCE",
"configs": {
"generateAudio": { "type": "boolean" },
"resolution": { "type": "enum", "options": ["480p", "720p"] },
"durationSeconds": { "type": "enum", "options": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
"aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
}
},
{
"id": "seedance-2.0-mini",
"name": "Seedance 2.0 Mini",
"provider": "BYTEDANCE",
"configs": {
"generateAudio": { "type": "boolean" },
"resolution": { "type": "enum", "options": ["480p", "720p"] },
"durationSeconds": { "type": "enum", "options": [4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
"aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
}
},
{
"id": "kling-3.0-omni",
"name": "Kling 3.0 Omni",
"provider": "KUAISHOU",
"configs": {
"generateAudio": { "type": "boolean" },
"resolution": { "type": "enum", "options": ["720p", "1080p"] },
"durationSeconds": { "type": "enum", "options": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
"aspectRatio": { "type": "enum", "options": ["16:9", "9:16", "1:1"] }
}
},
{
"id": "kling-3.0",
"name": "Kling 3.0",
"provider": "KUAISHOU",
"configs": {
"generateAudio": { "type": "boolean" },
"resolution": { "type": "enum", "options": ["720p", "1080p"] },
"durationSeconds": { "type": "enum", "options": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
"aspectRatio": { "type": "enum", "options": ["16:9", "9:16", "1:1"] }
}
},
{
"id": "kling-3.0-turbo",
"name": "Kling 3.0 Turbo",
"provider": "KUAISHOU",
"configs": {
"generateAudio": { "type": "boolean" },
"resolution": { "type": "enum", "options": ["720p", "1080p"] },
"durationSeconds": { "type": "enum", "options": [3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
"aspectRatio": { "type": "enum", "options": ["16:9", "9:16", "1:1"] }
}
},
{
"id": "minimax-h3-max",
"name": "MiniMax H3 Max",
"provider": "MINIMAX",
"configs": {
"resolution": { "type": "enum", "options": ["480p", "768p", "1080p"] },
"durationSeconds": { "type": "enum", "options": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
"aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
}
},
{
"id": "minimax-h3",
"name": "MiniMax H3",
"provider": "MINIMAX",
"configs": {
"resolution": { "type": "enum", "options": ["768p", "2k"] },
"durationSeconds": { "type": "enum", "options": [5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] },
"aspectRatio": { "type": "enum", "options": ["21:9", "16:9", "4:3", "1:1", "3:4", "9:16"] }
}
},
{
"id": "veo-3.1-generate-preview",
"name": "Veo 3.1",
"provider": "GOOGLE",
"configs": {
"generateAudio": { "type": "boolean" },
"resolution": { "type": "enum", "options": ["720p", "1080p", "4k"] },
"durationSeconds": { "type": "enum", "options": [8] },
"aspectRatio": { "type": "enum", "options": ["16:9", "9:16"] }
}
},
{
"id": "veo-3.1-lite-generate-preview",
"name": "Veo 3.1 Lite",
"provider": "GOOGLE",
"configs": {
"generateAudio": { "type": "boolean" },
"resolution": { "type": "enum", "options": ["720p", "1080p"] },
"durationSeconds": { "type": "enum", "options": [8] },
"aspectRatio": { "type": "enum", "options": ["16:9", "9:16"] }
}
}
]
},
{
"outputType": "3D",
"models": [
{
"id": "meshy-7",
"name": "Meshy 7",
"provider": "MESHY"
},
{
"id": "hunyuan3d-3.1",
"name": "Hunyuan3D 3.1",
"provider": "TENCENT"
}
]
}
]
}Request
No parameters.
Response
Returns 200 OK.
dataarray Models grouped by output type
data[].outputTypestring Output file type
Possible values: DOCUMENTIMAGEVIDEO3D
Example: IMAGE
data[].modelsarray Models for the output type
data[].models[].idstring Model ID. outputModel value of Generate File
Example: gemini-3.1-flash-image
data[].models[].namestring Model display name
Example: Nano Banana 2
data[].models[].providerstring? Model maker. null for document models
Possible values: OPENAIGOOGLEBYTEDANCEKUAISHOUMINIMAXTENCENTMESHY
Example: GOOGLE
data[].models[].configsobject Advanced settings. Present only for models that accept configs
data[].models[].configs.generateAudioobject Audio generation setting. Present only for models that accept generateAudio
data[].models[].configs.generateAudio.typestring Setting type
Possible values: boolean
data[].models[].configs.resolutionobject Resolution setting
data[].models[].configs.resolution.typestring Setting type
Possible values: enum
data[].models[].configs.resolution.optionsstring[] Available resolutions
data[].models[].configs.durationSecondsobject Output length setting
data[].models[].configs.durationSeconds.typestring Setting type
Possible values: enum
data[].models[].configs.durationSeconds.optionsnumber[] Available lengths in seconds
data[].models[].configs.aspectRatioobject Aspect ratio setting
data[].models[].configs.aspectRatio.typestring Setting type
Possible values: enum
data[].models[].configs.aspectRatio.optionsstring[] Available aspect ratios